<?php
ob_start();
include("config.php"); 
	if(! check_login()){
	header("Location: login.php");
	exit;
	}

	if($data->level != 3){
	exit;
	}

?>

<html>
<head>
<title>ultimatecrime</title>
<link rel="stylesheet" type="text/css" href="style_general.css">
</head>
<body background="layout/images/layout_12.gif" bgproperties="fixed">
<br>
<br>
<br>
<table align="center" width="600">
	<tr>
		<td class="subTitle" colspan="2">
		<b>Admin - Poll</b>
		</td>
	</tr>
	<tr>
		<td width="600" class="mainTxt" align="center">


<?php

include("admin.inc.php");
$admin		=	new wmadmin();
	if(isset($HTTP_GET_VARS['a'])) {
	$a	=	$HTTP_GET_VARS['a'];
	} else {
	$a	=	"";
	}

	if($a == "toevoegen") {
		if(isset($HTTP_POST_VARS['submit'])) {
		$vraag = $admin->formdata($HTTP_POST_VARS['vraag']);
			for($x=1; $x<=10; $x++) {
			$keuze[$x] = $admin->formdata($HTTP_POST_VARS["keuze".$x]);
			}
		$actief = $admin->formdata($HTTP_POST_VARS['actief']);
			if(empty($vraag) || empty($keuze[1]) || empty($keuze[2])) {
			$admin->error(1, "toevoegen");
			} else {
			$datum = time();
			mysql_query("INSERT INTO poll (vraag, actief, datum, keuze1, keuze2, keuze3, keuze4, keuze5, keuze6, keuze7, keuze8, keuze9, keuze10) VALUES ('$vraag', '$actief', '$datum', '".$keuze[1]."', '".$keuze[2]."', '".$keuze[3]."', '".$keuze[4]."', '".$keuze[5]."', '".$keuze[6]."', '".$keuze[7]."', '".$keuze[8]."', '".$keuze[9]."', '".$keuze[10]."')");
			$admin->bericht("Poll is toegevoegd.<br>\n<a href=\"admin-poll.php\">Terug naar admin</a>", 1);
			}
		} else {
		$admin->openform("toevoegen");
		$admin->formtext("Vraag", "vraag", "", 200);
			for($x=1; $x<=10; $x++) {
			$admin->formtext("Keuze ".$x, "keuze".$x, "", 50);
			}
		$admin->formcheckbox("Actief", "actief", 1);
		$admin->sluitform("Toevoegen");
		}
	} elseif($a == "bewerk") {
	$id = $admin->formdata($HTTP_GET_VARS['id']);
		if(isset($HTTP_POST_VARS['submit'])) {
		$vraag = $admin->formdata($HTTP_POST_VARS['vraag']);
			for($x=1; $x<=10; $x++) {
			$keuze[$x] = $admin->formdata($HTTP_POST_VARS["keuze".$x]);
			}
		$actief = $admin->formdata($HTTP_POST_VARS['actief']);
		$reset = $admin->formdata($HTTP_POST_VARS['reset']);
			if(empty($vraag) || empty($keuze[1]) || empty($keuze[2])) {
			$admin->error(1, "bewerk&id".$id);
			} else {
			mysql_query("UPDATE poll SET vraag='$vraag', actief='$actief', keuze1='".$keuze[1]."', keuze2='".$keuze[2]."', keuze3='".$keuze[3]."', keuze4='".$keuze[4]."', keuze5='".$keuze[5]."', keuze6='".$keuze[6]."', keuze7='".$keuze[7]."', keuze8='".$keuze[8]."', keuze9='".$keuze[9]."', keuze10='".$keuze[10]."' WHERE id='$id'");
				if($reset == "1") {
				mysql_query("UPDATE poll SET antwoord1='0', antwoord2='0', antwoord3='0', antwoord4='0', antwoord5='0', antwoord6='0', antwoord7='0', antwoord8='0', antwoord9='0', antwoord10='0', gestemd='' WHERE id='$id'");
				}
			$admin->bericht("Poll is bewerkt.<br>\n<a href=\"admin-poll.php\">Terug</a>", 1);
			}
		} else {
		$sql	=	mysql_query("SELECT * FROM poll WHERE id='$id'");
		$list	=	mysql_fetch_assoc($sql);
		$admin->openform("bewerk&id=".$id);
		$admin->formtext("Vraag", "vraag", $list['vraag'], 200);
			for($x=1; $x<=10; $x++) {
			$admin->formtext("Keuze ".$x, "keuze".$x, $list["keuze".$x], 50);
			}
		$admin->formcheckbox("Actief", "actief", $list['actief']);
		$admin->formcheckbox("Reset stemmen", "reset", 0);
		$admin->sluitform("Bewerk");
		}
	} elseif($a == "verwijder") {
	$id = $admin->formdata($HTTP_GET_VARS['id']);
	mysql_query("DELETE FROM poll WHERE id='$id'");
	$admin->bericht("Poll is verwijderd.<br>\n<a href=\"admin-poll.php\">Terug naar admin</a>", 1);
	} else {
	$admin->bericht("<a href=\"admin-poll.php?a=toevoegen\">Poll Toevoegen</a><br><br>", 1);
	$admin->polllist();
	}

?>

		</td>
	</tr>
</table>
</body>
</html>